Subject: Re: bug#59721: 30.0.50; tab bar groups are not ordered properly

From: Mickey Petersen <[email-masked]>
Date: Wed, 30 Nov 2022 18:41:48 +0000

Juri Linkov <[email-masked]> writes:

>> I did not check if that solves it, but this issue --
>> and how I discovered it -- manifests itself when you use
>> `display-buffer-in-[new]-tab' and set a tab group that way.
>>
>> This can result in a large amount of distinct tab group entries for
>> the same tab group; does `tab-bar-tab-post-change-group-functions'
>> also resolve this?
>
> Your guess is right.  After customizing this variable and using e.g.
>
> (add-to-list 'display-buffer-alist
>              '("buffer1" .
>                (display-buffer-in-tab
>                 (tab-name . "C")
>                 (tab-group . "foo"))))
>
> it merges the new tab with its group.
>

Good stuff. Thanks, Juri.

>> Because just about anybody who'd use said display buffer action would
>> find themselves in this predicament and that variable (and
>> subsequently adding that function to it) is... unintuitive.
>
> So you suggest to make this value the default?  Ok, the default value
> will be changed in the release branch.

I feel it's what people expect to happen -- what do you think?